//13-SRCLK serial shift clock
//A1-RCLK output latch clock
//11-SER serial data in

#include <SPI.h>

void setup()
{
	DDRC |= B00000010;//Set pins A1 as output
	SPI.begin();
}

void loop()
{
	uint8_t value;
	value=B11111111,
	shiftByte(value);
	delay(500);
	value=B11111110;
	shiftByte(value);
	delay(500);
	value=B11111100;
	shiftByte(value);
	delay(500);
	value=B11111000;
	shiftByte(value);
	delay(500);
	value=B01111000;
	shiftByte(value);
	delay(500);
}

void shiftByte( uint8_t x){
	//1us function
	PORTC &= B11111101;//Data clock low
	SPI.beginTransaction(SPISettings(16000000, MSBFIRST, SPI_MODE0));//Start SPI transaction
	SPI.transfer(x);//Transfer data
	SPI.endTransaction();//End SPI transaction
	PORTC |= B00000010;//Data clock high, latch data
}

